<?php 
$zex_redux_demo = get_option('redux_demo');
get_header('404');
?>

<main>
	<section class="error-page pt-250">
		<div class="container">
			<div class="row align-items-center">
				<div class="col-lg-12 text-center mb-30">
					<div class="section-title mb-20">
						<?php if (isset($zex_redux_demo['404-title-1']) && $zex_redux_demo['404-title-1'] != '') { ?>
							<h1 class="text-white"><?php echo esc_attr($zex_redux_demo['404-title-1']);?></h1>
						<?php } else { ?>
							<h1 class="text-white"><?php echo esc_html__( '404', 'zex' ); ?></h1>
						<?php } ?>

						<?php if (isset($zex_redux_demo['404-title-2']) && $zex_redux_demo['404-title-2'] != '') { ?>
							<h2 class="text-white"><?php echo esc_attr($zex_redux_demo['404-title-2']);?></h2>
						<?php } else { ?>
							<h2 class="text-white"><?php echo esc_html__( 'Page Not Found!', 'zex' ); ?></h2>
						<?php } ?>
							
						<?php if (isset($zex_redux_demo['404-text']) && $zex_redux_demo['404-text'] != '') { ?>
							<span class="text-white"><?php echo esc_attr($zex_redux_demo['404-text']);?></span>
						<?php } else { ?>
							<span class="text-white"><?php echo esc_html__( 'The page you are looking for does not exist. Please try it.', 'zex' ); ?></span>
						<?php } ?>
							<br>

						<?php if (isset($zex_redux_demo['404-button']) && $zex_redux_demo['404-button'] != '') { ?>
							<a href="<?php echo esc_url(home_url('/')); ?>" class="bp-btn bp-btn--white"><?php echo esc_attr($zex_redux_demo['404-button']);?></a>
						<?php } else { ?>
							<a href="<?php echo esc_url(home_url('/')); ?>" class="bp-btn bp-btn--white"><?php echo esc_html__( 'Back To Home', 'zex' ); ?></a>
						<?php } ?>
					</div>
				</div>
			</div>
		</div>
	</section>
</main>

<?php
get_footer('404');
?>