<?php $zex_redux_demo = get_option('redux_demo'); ?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <?php if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ) { ?>
        <?php if(isset($zex_redux_demo['favicon']['url'])){?>
        <link rel="shortcut icon" href="<?php echo esc_url($zex_redux_demo['favicon']['url']); ?>">
        <?php }?>
    <?php }?>
    <?php wp_head(); ?> 
</head>
<body <?php body_class('bp-bg-body'); ?>>
<?php
    wp_body_open();
?>
	<?php if ((isset($zex_redux_demo['enable-preloader'])) && ($zex_redux_demo['enable-preloader'] == true)): ?>
		<!-- Preloader -->
		<div class="preloader" id="preloader">
			<div class="loader">
				<?php if ((isset($zex_redux_demo['img-preloader']['url'])) && ('' != $zex_redux_demo['img-preloader']['url'])) { ?>
					<div>
						<ul>
							<?php
							$i = 0;
							while ($i < 6) { ?>
								<li>
									<img src="<?php echo esc_url($zex_redux_demo['img-preloader']['url']); ?>">
								</li>
							<?php 
								$i++;
							} ?>

						</ul>
					</div>
				<?php } else { ?>
					<div>
						<ul>
							<?php
							$i = 0;
							while ($i < 6) { ?>
								<li>
									<img src="<?php echo get_template_directory_uri();?>/assets/icons/preloader-icon.png">
								</li>
							<?php 
								$i++;
							} ?>

						</ul>
					</div>
				<?php } ?>
				<span>
					<?php if ((isset($zex_redux_demo['text-preloader'])) && ('' != $zex_redux_demo['text-preloader'])) { ?>
						<?php echo esc_attr($zex_redux_demo['text-preloader']);?>
					<?php } else { ?>
						<?php echo esc_html__( 'Loading Zex.ai', 'zex' ); ?>
					<?php } ?>
				</span>
			</div>
		</div>
		<!-- Preloader End -->
	<?php endif ?>