<?php $zex_redux_demo = get_option('redux_demo'); ?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <?php if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ) { ?>
        <?php if(isset($zex_redux_demo['favicon']['url'])){?>
        <link rel="shortcut icon" href="<?php echo esc_url($zex_redux_demo['favicon']['url']); ?>">
        <?php }?>
    <?php }?>
    <?php wp_head(); ?> 
</head>
<body <?php body_class('bp-bg-body'); ?>>
<?php
    wp_body_open();
?>
	<?php if ((isset($zex_redux_demo['enable-preloader'])) && ($zex_redux_demo['enable-preloader'] == true)): ?>
		<!-- Preloader -->
		<div class="preloader" id="preloader">
			<div class="loader">
				<?php if ((isset($zex_redux_demo['img-preloader']['url'])) && ('' != $zex_redux_demo['img-preloader']['url'])) { ?>
					<div>
						<ul>
							<?php
							$i = 0;
							while ($i < 6) { ?>
								<li>
									<img src="<?php echo esc_url($zex_redux_demo['img-preloader']['url']); ?>">
								</li>
							<?php 
								$i++;
							} ?>

						</ul>
					</div>
				<?php } else { ?>
					<div>
						<ul>
							<?php
							$i = 0;
							while ($i < 6) { ?>
								<li>
									<img src="<?php echo get_template_directory_uri();?>/assets/icons/preloader-icon.png">
								</li>
							<?php 
								$i++;
							} ?>

						</ul>
					</div>
				<?php } ?>
				<span>
					<?php if ((isset($zex_redux_demo['text-preloader'])) && ('' != $zex_redux_demo['text-preloader'])) { ?>
						<?php echo esc_attr($zex_redux_demo['text-preloader']);?>
					<?php } else { ?>
						<?php echo esc_html__( 'Loading Zex.ai', 'zex' ); ?>
					<?php } ?>
				</span>
			</div>
		</div>
		<!-- Preloader End -->
	<?php endif ?>
	<!-- Scroll Bottom To Top -->
	<button class="scrollToTopBtn showBtn"><i class="fa-solid fa-hand-point-up"></i></button>

	<!-- Header Area Start -->
	<header class="header header--style2 header--transparent sticky-on" data-aos="fade-down" data-aos-duration="1500">
		<div class="container-fluid p-0">
			<div class="row align-items-center">
				<div class="col-xl-2 col-lg-2 col-md-6 col-6">
					<div class="header__logo">
						<a class="header__logo__link" href="<?php echo esc_url(home_url('/')); ?>">
							<?php if (isset($zex_redux_demo['logo-2']['url']) && $zex_redux_demo['logo-2']['url'] != '') { ?>
								<img src="<?php echo esc_url($zex_redux_demo['logo-2']['url']); ?>" alt="<?php bloginfo( 'name' ); ?>">
							<?php } else { ?>
								<img src="<?php echo get_template_directory_uri();?>/assets/images/logo-h2.png" alt="<?php bloginfo( 'name' ); ?>">
							<?php } ?>
						</a>
					</div>
				</div>
				<div class="col-xl-8 col-lg-7 col-md-6 col-6">
					<div class="header__navigation">
						<div class="header__menu text-center">
							<div class="main-menu">
								<nav class="main-menu__nav">
									<?php 
										wp_nav_menu(
										array( 
											'theme_location'  => 'primary',
											'container'       => '',
											'menu_class'      => '',
											'menu_id'         => '',
											'menu'            => '',
											'container_class' => '',
											'container_id'    => '',
											'echo'            => true,
											'fallback_cb'     => 'wp_bootstrap_navwalker::fallback',
											'walker'          => new zex_wp_bootstrap_navwalker(),
											'before'          => '',
											'after'           => '',
											'link_before'     => '',
											'link_after'      => '',
											'items_wrap'      => '<ul class="main-menu__list %2$s">%3$s</ul>',
											'depth'           => 0,
										)
									); ?>
								</nav>
							</div>
							<div class="hamburger-icon text-end">
								<i class="fa-solid fa-bars"></i>
							</div>
						</div>
					</div>
				</div>
				<div class="col-xl-2 col-lg-3 d-none d-lg-block">
					<div class="header__button--h3 text-end">
						<?php if ((isset($zex_redux_demo['header-btn-1'])) && ('' != $zex_redux_demo['header-btn-1']) && (isset($zex_redux_demo['header-link-1'])) && ('' != $zex_redux_demo['header-link-1'])): ?>
							<div class="for-1440">
								<a href="<?php echo esc_url($zex_redux_demo['header-link-1']);?>" class="bp-btn bp-btn--black">
									<?php echo esc_attr($zex_redux_demo['header-btn-1']);?>
								</a>
							</div>
						<?php endif; ?>
						<?php if ((isset($zex_redux_demo['header-btn-2'])) && ('' != $zex_redux_demo['header-btn-2']) && (isset($zex_redux_demo['header-link-2'])) && ('' != $zex_redux_demo['header-link-2'])): ?>
							<div>
								<a href="<?php echo esc_url($zex_redux_demo['header-link-2']);?>" class="bp-btn bp-btn--white">
									<?php echo esc_attr($zex_redux_demo['header-btn-2']);?>
								</a>
							</div>
						<?php endif; ?>
					</div>
				</div>
			</div>
		</div>
	</header>
	<!-- Header Area End -->

	<!-- Mobile Menu -->
	<div class="mobile-overlay mobile-overlay--sidebar">
		<div class="mobile-overlay__box">
			<div class="mobile-overlay__header">
				<div class="mobile-overlay__logo">
					<?php if (isset($zex_redux_demo['logo-2']['url']) && $zex_redux_demo['logo-2']['url'] != '') { ?>
						<img src="<?php echo esc_url($zex_redux_demo['logo-2']['url']); ?>" alt="<?php bloginfo( 'name' ); ?>">
					<?php } else { ?>
						<img src="<?php echo get_template_directory_uri();?>/assets/images/logo-h2.png" alt="<?php bloginfo( 'name' ); ?>">
					<?php } ?>
				</div>
				<div class="mobile-overlay__close">
					<i class="fa-solid fa-xmark"></i>
				</div>
			</div>
			<div class="mobile-overlay__main-menu">
				<!--Here Menu Will Come Automatically Via Javascript / Same Menu as in Header-->
			</div>
		</div>
	</div>
	<div class="mobile-overlay--backdrop"></div>