<?php 
/*
 * Template Name: Blog List Page Template
 * Description: A Page Template with a Page Builder design.
 */
$zex_redux_demo = get_option('redux_demo');
get_header();
?>

<main id="bp-main">
	<?php if (isset($zex_redux_demo['blog-bg']['url']) && $zex_redux_demo['blog-bg']['url'] != ''): ?>
		<div class="page-title w-100">
			<img class="page-title__bg w-100" src="<?php echo esc_url($zex_redux_demo['blog-bg']['url']); ?>">
		</div>
	<?php endif ?>
	<section class="section blog--padding blog--breadcrumb">
		<div class="container">
			<div class="blog-details bg-trans">
				<div class="row align-items-center">
					<div class="col-lg-12 mb-30 mt-30">
						<div class="section-title text-center">
							<h2 class="section-title__big text-white">
								<?php if ((isset($zex_redux_demo['blog-title'])) && ('' != $zex_redux_demo['blog-title'])){ ?>
									<?php echo esc_attr($zex_redux_demo['blog-title']);?>
								<?php }else{ ?>
									<?php echo esc_html__( 'Blog Classic', 'zex' ); ?>
								<?php } ?>
							</h2>
						</div>
					</div>
				</div>
			</div>
		</div>
	</section>
	<section class="section blog pt-200 pb-90">
		<div class="container">
			<div class="row">
				<div class="col-12">
					<?php
					$wp_query = new \WP_Query(array('post_type' => 'post','paged' => $paged,  'orderby' => 'ID', 'order' => 'ASC'));
					while($wp_query->have_posts()): $wp_query->the_post(); 
						$content_excerpt = get_post_meta(get_the_ID(),'_cmb_content_excerpt', true);
					?>
						<div class="blog-block blog-block--style2" data-aos="fade-down-right" data-aos-duration="3000">
							<div class="row align-items-center">
								<?php if (has_post_thumbnail()) { ?>
									<div class="col-lg-12 mb-45">
										<div class="blog-block__image blog-block__image--list">
											<a href="<?php the_permalink(); ?>">
												<img class="border-radius-default" src="<?php the_post_thumbnail_url(); ?>" alt="<?php the_title_attribute(); ?>">
											</a>
										</div>
									</div>
								<?php } ?>
								<div class="col-lg-12 mb-45">
									<div class="blog-block__content">
										<h3 class="blog-block__heading mb-15">
											<a class="blog-block__heading-link" href="<?php the_permalink(); ?>">
												<?php the_title(); ?>
											</a>
										</h3>
										<p class="blog-block__text black-100">
											<?php if ( '' !== wp_specialchars_decode($content_excerpt)): ?>
												<?php print wp_specialchars_decode($content_excerpt); ?>
											<?php else:?>
												<?php if(isset($zex_redux_demo['blog_excerpt'])){?>
												<?php echo esc_attr(zex_excerpt($zex_redux_demo['blog_excerpt'])); ?>
												<?php }else{?>
												<?php echo esc_attr(zex_excerpt(50));
												}?>
											<?php endif ?>
										</p>
										<div class="blog-details__metas mb-15">
											<ul>
												<li>
													<i class="fa-regular fa-user"></i>
													<span><?php echo get_the_author_posts_link(); ?></span>
												</li>
												<li>
													<i class="fa-regular fa-comment"></i>
													<span><?php comments_number( esc_html__('0 Comments', 'zex'), esc_html__('1 Comment', 'zex'), esc_html__('% Comments', 'zex') ); ?></span>
												</li>
												<li>
													<i class="fa-regular fa-calendar-days"></i>
													<span><?php the_time(get_option( 'date_format' ));?></span>
												</li>
											</ul>
										</div>
										<a href="<?php the_permalink(); ?>" class="blog-block__link">
											<?php echo esc_html__( 'Read More', 'zex' );?>
											<i>
												<img src="<?php echo get_template_directory_uri();?>/assets/icons/arrow-icon.svg" alt="icon">
											</i>
										</a>
									</div>
								</div>
							</div>
						</div>
					<?php endwhile; ?>
				</div>
				<div class="col-12 text-center">
					<?php zex_pagination(); ?>
				</div>
			</div>
		</div>
	</section>
	<!-- Blog Area End -->

</main>

<?php
get_footer();
?>