<?php 
$zex_redux_demo = get_option('redux_demo');
get_header(); 
?>

<main id="bp-main">
	<?php if (isset($zex_redux_demo['portfolio-bg']['url']) && $zex_redux_demo['portfolio-bg']['url'] != ''): ?>
		<div class="page-title w-100">
			<img class="page-title__bg w-100" src="<?php echo esc_url($zex_redux_demo['portfolio-bg']['url']); ?>">
		</div>
	<?php endif ?>
	<?php if (isset($zex_redux_demo['portfolio-bg']['url']) && $zex_redux_demo['portfolio-bg']['url'] != '') { ?>
		<section class="section blog--padding blog--breadcrumb">
	<?php } else { ?>
		<section class="section blog--padding blog--breadcrumb bg-black">
	<?php } ?>
			<div class="container">
				<div class="blog-details bg-trans">
					<div class="row align-items-center">
						<div class="col-lg-12 mb-30 mt-30">
							<div class="section-title text-center">
								<h2 class="section-title__big text-white">
									<?php if ((isset($zex_redux_demo['portfolio-title'])) && ('' != $zex_redux_demo['portfolio-title'])){ ?>
										<?php echo esc_attr($zex_redux_demo['portfolio-title']);?>
									<?php }else{ ?>
										<?php echo esc_html__( 'Portfolio Type: ', 'zex' ); ?>
									<?php } ?>
									<span class="text-cap"><?php printf( esc_html__( ' %s', 'zex' ), get_the_archive_title() );?></span>
								</h2>
							</div>
						</div>
					</div>
				</div>
			</div>
		</section>
	<section class="section blog pt-200 pb-90">
		<div class="container">
			<div class="row">
				<?php
				while($wp_query->have_posts()): $wp_query->the_post();
					$content_excerpt = get_post_meta(get_the_ID(),'_cmb_content_excerpt', true);
				?>
					<div class="col-lg-4 mb-30" data-aos="fade-down-right" data-aos-duration="3000">
						<div class="blog-block blog-block--style2">
							<?php if ('' != $ft_image_post) { ?>
								<div class="blog-block__image mb-20">
									<a href="<?php the_permalink(); ?>"><img class="border-radius-default" src="<?php echo wp_get_attachment_url($ft_image_post);?>" alt="<?php the_title_attribute(); ?>"></a>
								</div>
							<?php } elseif (!empty(get_the_post_thumbnail())) { ?>
								<div class="blog-block__image mb-20">
									<a href="<?php the_permalink(); ?>"><img class="border-radius-default" src="<?php the_post_thumbnail_url(); ?>" alt="<?php the_title_attribute(); ?>"></a>
								</div>
							<?php } else { ?>
							<?php } ?>
							<div class="blog-block__content">
								<h4 class="blog-block__heading mb-15">
									<a class="blog-block__heading-link" href="<?php the_permalink(); ?>">
										<?php the_title(); ?>
									</a>
								</h4>
								<div class="blog-block__meta border-bottom-0">
									<ul>
										<li class="port-type"><?php echo get_the_author_posts_link(); ?></li>
										<li><?php the_time(get_option( 'date_format' ));?></li>
									</ul>
								</div>
								<a href="<?php the_permalink(); ?>" class="blog-block__link">
									<?php if ((isset($zex_redux_demo['portfolio-btn-text'])) && ('' != $zex_redux_demo['portfolio-btn-text'])){ ?>
										<?php echo esc_attr($zex_redux_demo['portfolio-btn-text']);?>
									<?php }else{ ?>
										<?php echo esc_html__( 'Read More', 'zex' ); ?>
									<?php } ?>
									<?php if (isset($zex_redux_demo['portfolio-btn-icon']['url']) && $zex_redux_demo['portfolio-btn-icon']['url'] != ''): ?>
										<i>
											<img src="<?php echo esc_url($zex_redux_demo['portfolio-btn-icon']['url']); ?>">
										</i>
									<?php endif ?>
								</a>
							</div>
						</div>
					</div>
				<?php endwhile; ?>
				<div class="col-12 text-center">
					<?php zex_pagination(); ?>
				</div>
			</div>
		</div>
	</section>
	<!-- Blog Area End -->

</main>

<?php get_footer(); ?>